Loading...
Searching...
No Matches
svn_log_changed_path_t Struct Reference

A structure to represent a path that changed for a log entry. More...

`#include <svn_types.h>`

## Data Fields

char | action
| 'A'dd, 'D'elete, 'R'eplace, 'M'odify
const char * | copyfrom_path
| Source path of copy (if any).
svn_revnum_t | copyfrom_rev
| Source revision of copy (if any).

## Detailed Description

A structure to represent a path that changed for a log entry.

Same as the first three fields of svn_log_changed_path2_t.

Deprecated
  Provided for backward compatibility with the 1.5 API.

Definition at line 801 of file svn_types.h.

## Field Documentation

## action

char svn_log_changed_path_t::action

'A'dd, 'D'elete, 'R'eplace, 'M'odify

Definition at line 804 of file svn_types.h.

## copyfrom_path

const char* svn_log_changed_path_t::copyfrom_path

Source path of copy (if any).

Definition at line 807 of file svn_types.h.

## copyfrom_rev

svn_revnum_t svn_log_changed_path_t::copyfrom_rev

Source revision of copy (if any).

Definition at line 810 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h